// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
//
// XMM Science Analysis System
//
// Giuseppe Vacanti (cosine science & computing) 
// September 2001
//
#include <OdfIcd.h>
#include <iostream>
#include <cassert>

int main() {

  using namespace OdfIcd;

  std::string n = hkname(10, 01341201011, Xmm::RGS1,
			 Xmm::HBR_BUFFER_HOUSEKEEPING);
  std::cout << n << std::endl;

  assert( n == "0010_0193266185_R1X00000HBH.FIT" );


}
